Bug 127928 - kate crashes deleting a block of text
Summary: kate crashes deleting a block of text
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Andreas Kling
URL:
Keywords:
: 112071 117030 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-05-24 12:38 UTC by Vadym Krevs
Modified: 2006-08-10 00:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
text file to reproduce the bug (574.84 KB, text/plain)
2006-05-24 12:39 UTC, Vadym Krevs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vadym Krevs 2006-05-24 12:38:26 UTC
Version:           2.5.2 (using KDE 3.5.2 Level "a" , SUSE 10.0 UNSUPPORTED)
Compiler:          Target: x86_64-suse-linux
OS:                Linux (x86_64) release 2.6.13-15.8-smp

I've got a 17683 line text file (588632 bytes) resulting from my application's trace log. If I open the file in Kate, then hit Ctrl-F and search for "ORA-00001", a match is found, then press "End", then Ctrl-Shift-End to select all subsequent lines, then press "Delete" and Kate crashes with the following stack trace:

(no debugging symbols found)
Using host libthread_db library "/lib64/tls/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912560357248 (LWP 3880)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#5  0x00002aaaafbce2d0 in KateBufBlock::line ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#6  0x00002aaaafbdb685 in KateDocument::currentColumn ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#7  0x00002aaaafbdb6c5 in KateView::cursorColumn ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#8  0x00002aaaafb82ea4 in KateView::slotStatusMsg ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#9  0x00002aaaafc0e9c0 in KateView::qt_invoke ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#10 0x00002aaaab8fa9d6 in QObject::activate_signal ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#11 0x00002aaaab8faead in QObject::activate_signal ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#12 0x00002aaaafc0edee in KateDocument::editEnd ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#13 0x00002aaaafc08e8b in KateView::removeSelectedText ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#14 0x00002aaaafbdb9f2 in KateDocument::del ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#15 0x00002aaaafbdba2e in KateViewInternal::doDelete ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#16 0x00002aaaafc0e22e in KateView::qt_invoke ()
   from /opt/kde3/lib64/kde3/libkatepart.so
#17 0x00002aaaab8faa78 in QObject::activate_signal ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#18 0x00002aaaab8faead in QObject::activate_signal ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#19 0x00002aaaac8520d1 in KAction::qt_invoke ()
   from /opt/kde3/lib64/libkdeui.so.4
#20 0x00002aaaab8faa78 in QObject::activate_signal ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#21 0x00002aaaab8faead in QObject::activate_signal ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#22 0x00002aaaab344926 in KAccelPrivate::emitActivatedSignal ()
   from /opt/kde3/lib64/libkdecore.so.4
#23 0x00002aaaab39f0fd in KAccelPrivate::eventFilter ()
   from /opt/kde3/lib64/libkdecore.so.4
#24 0x00002aaaab8fa7da in QObject::activate_filters ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#25 0x00002aaaab8fa847 in QObject::event ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#26 0x00002aaaab92edf8 in QWidget::event ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#27 0x00002aaaab8a30d3 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#28 0x00002aaaab8a3eef in QApplication::notify ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#29 0x00002aaaab3c139e in KApplication::notify ()
   from /opt/kde3/lib64/libkdecore.so.4
#30 0x00002aaaab344710 in KAccelEventHandler::x11Event ()
   from /opt/kde3/lib64/libkdecore.so.4
#31 0x00002aaaab3bfc5f in KApplication::x11EventFilter ()
   from /opt/kde3/lib64/libkdecore.so.4
#32 0x00002aaaab83a881 in qt_set_x11_event_filter ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#33 0x00002aaaab845ced in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#34 0x00002aaaab858a38 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#35 0x00002aaaab8b7fac in QEventLoop::enterLoop ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#36 0x00002aaaab8b7e92 in QEventLoop::exec ()
   from /usr/lib/qt3/lib64//libqt-mt.so.3
#37 0x00002aaaaee675d8 in kdemain () from /opt/kde3/lib64/libkdeinit_kate.so
#38 0x00000000004071eb in ?? ()
#39 0x00000000004078e8 in ?? ()
#40 0x0000000000407eb1 in ?? ()
#41 0x0000000000408db1 in ?? ()
#42 0x00002aaaac42f5aa in __libc_start_main () from /lib64/tls/libc.so.6
#43 0x00000000004049da in ?? ()
#44 0x00007ffffff495b8 in ?? ()
#45 0x00002aaaaabc19c0 in rtld_errno () from /lib64/ld-linux-x86-64.so.2
#46 0x0000000000000002 in ?? ()
#47 0x00007ffffff4a07d in ?? ()
#48 0x0000000000000000 in ?? ()
#49 0x0000000000000000 in ?? ()
#50 0x00007ffffff4a08e in ?? ()
#51 0x00007ffffff4a09f in ?? ()
#52 0x00007ffffff4a0b8 in ?? ()
#53 0x00007ffffff4a117 in ?? ()
#54 0x00007ffffff4a149 in ?? ()
#55 0x00007ffffff4a159 in ?? ()
#56 0x00007ffffff4a16c in ?? ()
#57 0x00007ffffff4a187 in ?? ()
#58 0x00007ffffff4a19d in ?? ()
#59 0x00007ffffff4a1c4 in ?? ()
#60 0x00007ffffff4a1eb in ?? ()
#61 0x00007ffffff4a229 in ?? ()
#62 0x00007ffffff4a25b in ?? ()
#63 0x00007ffffff4a26b in ?? ()
#64 0x00007ffffff4a276 in ?? ()
#65 0x00007ffffff4a288 in ?? ()
#66 0x00007ffffff4a2c2 in ?? ()
#67 0x00007ffffff4a2d0 in ?? ()
#68 0x00007ffffff4a2e1 in ?? ()
#69 0x00007ffffff4a346 in ?? ()
#70 0x00007ffffff4a361 in ?? ()
#71 0x00007ffffff4a370 in ?? ()
#72 0x00007ffffff4a383 in ?? ()
#73 0x00007ffffff4a396 in ?? ()
#74 0x00007ffffff4a3ac in ?? ()
#75 0x00007ffffff4a3d5 in ?? ()
#76 0x00007ffffff4a3e1 in ?? ()
#77 0x00007ffffff4a400 in ?? ()
#78 0x00007ffffff4a411 in ?? ()
#79 0x00007ffffff4a429 in ?? ()
#80 0x00007ffffff4a6f6 in ?? ()
#81 0x00007ffffff4a739 in ?? ()
#82 0x00007ffffff4a752 in ?? ()
#83 0x00007ffffff4a772 in ?? ()
#84 0x00007ffffff4a782 in ?? ()
#85 0x00007ffffff4a7ae in ?? ()
#86 0x00007ffffff4a7bb in ?? ()
#87 0x00007ffffff4a7c6 in ?? ()
#88 0x00007ffffff4a7df in ?? ()
#89 0x00007ffffff4a821 in ?? ()
#90 0x00007ffffff4a82f in ?? ()
#91 0x00007ffffff4a919 in ?? ()
#92 0x00007ffffff4a92d in ?? ()
#93 0x00007ffffff4a938 in ?? ()
#94 0x00007ffffff4a95a in ?? ()
#95 0x00007ffffff4a96b in ?? ()
#96 0x00007ffffff4a980 in ?? ()
#97 0x00007ffffff4a99c in ?? ()
#98 0x00007ffffff4a9b1 in ?? ()
#99 0x00007ffffff4a9c2 in ?? ()
#100 0x00007ffffff4a9e8 in ?? ()
#101 0x00007ffffff4aa07 in ?? ()
#102 0x00007ffffff4aa22 in ?? ()
#103 0x00007ffffff4aa45 in ?? ()
#104 0x00007ffffff4aa70 in ?? ()
#105 0x00007ffffff4aae4 in ?? ()
#106 0x00007ffffff4aaf6 in ?? ()
#107 0x00007ffffff4aafe in ?? ()
#108 0x00007ffffff4ab19 in ?? ()
#109 0x00007ffffff4ab26 in ?? ()
#110 0x00007ffffff4ab44 in ?? ()
#111 0x00007ffffff4ab5e in ?? ()
#112 0x00007ffffff4ab7d in ?? ()
#113 0x00007ffffff4abd7 in ?? ()
#114 0x00007ffffff4ac1f in ?? ()
#115 0x00007ffffff4ac2e in ?? ()
#116 0x00007ffffff4ac49 in ?? ()
#117 0x00007ffffff4ac54 in ?? ()
#118 0x00007ffffff4ac89 in ?? ()
#119 0x00007ffffff4ac95 in ?? ()
#120 0x00007ffffff4ace5 in ?? ()
#121 0x00007ffffff4ad47 in ?? ()
#122 0x00007ffffff4ad71 in ?? ()
#123 0x00007ffffff4add5 in ?? ()
#124 0x00007ffffff4aded in ?? ()
#125 0x00007ffffff4aec6 in ?? ()
#126 0x00007ffffff4aecf in ?? ()
#127 0x00007ffffff4af18 in ?? ()
#128 0x00007ffffff4af23 in ?? ()
#129 0x00007ffffff4af43 in ?? ()
#130 0x00007ffffff4af60 in ?? ()
#131 0x00007ffffff4af75 in ?? ()
#132 0x00007ffffff4af81 in ?? ()
#133 0x00007ffffff4af9d in ?? ()
#134 0x00007ffffff4afca in ?? ()
#135 0x0000000000000000 in ?? ()
#136 0x0000000000000010 in ?? ()
#137 0x00000000bfebfbff in ?? ()
#138 0x0000000000000006 in ?? ()
#139 0x0000000000001000 in ?? ()
#140 0x0000000000000011 in ?? ()
#141 0x0000000000000064 in ?? ()
#142 0x0000000000000003 in ?? ()
#143 0x0000000000400040 in ?? ()
#144 0x0000000000000004 in ?? ()
#145 0x0000000000000038 in ?? ()
#146 0x0000000000000005 in ?? ()
#147 0x0000000000000009 in ?? ()
#148 0x0000000000000007 in ?? ()
#149 0x00002aaaaaaab000 in ?? ()
#150 0x0000000000000008 in ?? ()
#151 0x0000000000000000 in ?? ()
#152 0x0000000000000009 in ?? ()
#153 0x00000000004049b0 in ?? ()
#154 0x000000000000000b in ?? ()
#155 0x00000000000002a3 in ?? ()
#156 0x000000000000000c in ?? ()
#157 0x00000000000002a3 in ?? ()
#158 0x000000000000000d in ?? ()
#159 0x0000000000000064 in ?? ()
#160 0x000000000000000e in ?? ()
#161 0x0000000000000064 in ?? ()
#162 0x0000000000000017 in ?? ()
#163 0x0000000000000000 in ?? ()
#164 0x000000000000000f in ?? ()
#165 0x00007ffffff49999 in ?? ()
#166 0x0000000000000000 in ?? ()
#167 0x0000000000000000 in ?? ()
#168 0x0000000000000000 in ?? ()
#169 0x0034365f36387800 in ?? ()
#170 0x0000000000000000 in ?? ()
#171 0x0000000000000000 in ?? ()
#172 0x0000000000000000 in ?? ()
#173 0x0000000000000000 in ?? ()
#174 0x0000000000000000 in ?? ()
#175 0x0000000000000000 in ?? ()
#176 0x0000000000000000 in ?? ()
#177 0x0000000000000000 in ?? ()
#178 0x0000000000000000 in ?? ()
#179 0x0000000000000000 in ?? ()
#180 0x0000000000000000 in ?? ()
#181 0x0000000000000000 in ?? ()
#182 0x0000000000000000 in ?? ()
#183 0x0000000000000000 in ?? ()
#184 0x0000000000000000 in ?? ()
#185 0x0000000000000000 in ?? ()
#186 0x0000000000000000 in ?? ()
#187 0x0000000000000000 in ?? ()
#188 0x0000000000000000 in ?? ()
#189 0x0000000000000000 in ?? ()
#190 0x0000000000000000 in ?? ()
#191 0x0000000000000000 in ?? ()
#192 0x0000000000000000 in ?? ()
#193 0x0000000000000000 in ?? ()
#194 0x0000000000000000 in ?? ()
#195 0x0000000000000000 in ?? ()
#196 0x0000000000000000 in ?? ()
#197 0x0000000000000000 in ?? ()
#198 0x0000000000000000 in ?? ()
#199 0x0000000000000000 in ?? ()
#200 0x0000000000000000 in ?? ()
#201 0x0000000000000000 in ?? ()
#202 0x0000000000000000 in ?? ()
#203 0x0000000000000000 in ?? ()
#204 0x0000000000000000 in ?? ()
#205 0x0000000000000000 in ?? ()
#206 0x0000000000000000 in ?? ()
#207 0x0000000000000000 in ?? ()
#208 0x0000000000000000 in ?? ()
#209 0x0000000000000000 in ?? ()
#210 0x0000000000000000 in ?? ()
#211 0x0000000000000000 in ?? ()
#212 0x0000000000000000 in ?? ()
#213 0x0000000000000000 in ?? ()
#214 0x0000000000000000 in ?? ()
#215 0x0000000000000000 in ?? ()
#216 0x0000000000000000 in ?? ()
#217 0x0000000000000000 in ?? ()
#218 0x0000000000000000 in ?? ()
#219 0x0000000000000000 in ?? ()
#220 0x0000000000000000 in ?? ()
#221 0x0000000000000000 in ?? ()
#222 0x0000000000000000 in ?? ()
#223 0x0000000000000000 in ?? ()
#224 0x0000000000000000 in ?? ()
#225 0x0000000000000000 in ?? ()
#226 0x0000000000000000 in ?? ()
#227 0x0000000000000000 in ?? ()
#228 0x0000000000000000 in ?? ()
#229 0x0000000000000000 in ?? ()
#230 0x0000000000000000 in ?? ()
#231 0x0000000000000000 in ?? ()
#232 0x0000000000000000 in ?? ()
#233 0x0000000000000000 in ?? ()
#234 0x0000000000000000 in ?? ()
#235 0x0000000000000000 in ?? ()
#236 0x0000000000000000 in ?? ()
#237 0x0000000000000000 in ?? ()
#238 0x0000000000000000 in ?? ()
#239 0x0000000000000000 in ?? ()
#240 0x0000000000000000 in ?? ()
#241 0x0000000000000000 in ?? ()
#242 0x0000000000000000 in ?? ()
#243 0x0000000000000000 in ?? ()
#244 0x0000000000000000 in ?? ()
#245 0x0000000000000000 in ?? ()
#246 0x0000000000000000 in ?? ()
#247 0x0000000000000000 in ?? ()
#248 0x0000000000000000 in ?? ()
#249 0x0000000000000000 in ?? ()
#250 0x0000000000000000 in ?? ()
#251 0x0000000000000000 in ?? ()
#252 0x0000000000000000 in ?? ()
#253 0x0000000000000000 in ?? ()
#254 0x0000000000000000 in ?? ()
#255 0x0000000000000000 in ?? ()
#256 0x0000000000000000 in ?? ()
#257 0x0000000000000000 in ?? ()
#258 0x0000000000000000 in ?? ()
#259 0x0000000000000000 in ?? ()
#260 0x0000000000000000 in ?? ()
#261 0x0000000000000000 in ?? ()
#262 0x0000000000000000 in ?? ()
#263 0x0000000000000000 in ?? ()
#264 0x0000000000000000 in ?? ()
#265 0x0000000000000000 in ?? ()
#266 0x0000000000000000 in ?? ()
#267 0x0000000000000000 in ?? ()
#268 0x0000000000000000 in ?? ()
#269 0x0000000000000000 in ?? ()
#270 0x0000000000000000 in ?? ()
#271 0x0000000000000000 in ?? ()
#272 0x0000000000000000 in ?? ()
#273 0x0000000000000000 in ?? ()
#274 0x0000000000000000 in ?? ()
#275 0x0000000000000000 in ?? ()
#276 0x0000000000000000 in ?? ()
#277 0x0000000000000000 in ?? ()
#278 0x0000000000000000 in ?? ()
#279 0x0000000000000000 in ?? ()
#280 0x0000000000000000 in ?? ()
#281 0x0000000000000000 in ?? ()
#282 0x0000000000000000 in ?? ()
#283 0x0000000000000000 in ?? ()
#284 0x0000000000000000 in ?? ()
#285 0x0000000000000000 in ?? ()
#286 0x0000000000000000 in ?? ()
#287 0x0000000000000000 in ?? ()
#288 0x0000000000000000 in ?? ()
#289 0x0000000000000000 in ?? ()
#290 0x0000000000000000 in ?? ()
#291 0x0000000000000000 in ?? ()
#292 0x0000000000000000 in ?? ()
#293 0x0000000000000000 in ?? ()
#294 0x0000000000000000 in ?? ()
#295 0x0000000000000000 in ?? ()
#296 0x0000000000000000 in ?? ()
#297 0x0000000000000000 in ?? ()
#298 0x0000000000000000 in ?? ()
#299 0x0000000000000000 in ?? ()
#300 0x0000000000000000 in ?? ()
#301 0x0000000000000000 in ?? ()
#302 0x0000000000000000 in ?? ()
#303 0x0000000000000000 in ?? ()
#304 0x0000000000000000 in ?? ()
#305 0x0000000000000000 in ?? ()
#306 0x0000000000000000 in ?? ()
#307 0x0000000000000000 in ?? ()
#308 0x0000000000000000 in ?? ()
#309 0x0000000000000000 in ?? ()
#310 0x0000000000000000 in ?? ()
#311 0x0000000000000000 in ?? ()
#312 0x0000000000000000 in ?? ()
#313 0x0000000000000000 in ?? ()
#314 0x0000000000000000 in ?? ()
#315 0x0000000000000000 in ?? ()
#316 0x0000000000000000 in ?? ()
#317 0x0000000000000000 in ?? ()
#318 0x0000000000000000 in ?? ()
#319 0x0000000000000000 in ?? ()
#320 0x0000000000000000 in ?? ()
#321 0x0000000000000000 in ?? ()
#322 0x0000000000000000 in ?? ()
#323 0x0000000000000000 in ?? ()
#324 0x0000000000000000 in ?? ()
#325 0x0000000000000000 in ?? ()
#326 0x0000000000000000 in ?? ()
#327 0x0000000000000000 in ?? ()
#328 0x0000000000000000 in ?? ()
#329 0x0000000000000000 in ?? ()
#330 0x0000000000000000 in ?? ()
#331 0x0000000000000000 in ?? ()
#332 0x0000000000000000 in ?? ()
#333 0x0000000000000000 in ?? ()
#334 0x0000000000000000 in ?? ()
#335 0x0000000000000000 in ?? ()
#336 0x0000000000000000 in ?? ()
#337 0x0000000000000000 in ?? ()
#338 0x0000000000000000 in ?? ()
#339 0x0000000000000000 in ?? ()
#340 0x0000000000000000 in ?? ()
#341 0x0000000000000000 in ?? ()
#342 0x0000000000000000 in ?? ()
#343 0x0000000000000000 in ?? ()
#344 0x0000000000000000 in ?? ()
#345 0x0000000000000000 in ?? ()
#346 0x0000000000000000 in ?? ()
#347 0x0000000000000000 in ?? ()
#348 0x0000000000000000 in ?? ()
#349 0x0000000000000000 in ?? ()
#350 0x0000000000000000 in ?? ()
#351 0x0000000000000000 in ?? ()
#352 0x0000000000000000 in ?? ()
#353 0x0000000000000000 in ?? ()
#354 0x0000000000000000 in ?? ()
#355 0x0000000000000000 in ?? ()
#356 0x0000000000000000 in ?? ()
#357 0x0000000000000000 in ?? ()
#358 0x0000000000000000 in ?? ()
#359 0x0000000000000000 in ?? ()
#360 0x0000000000000000 in ?? ()
#361 0x0000000000000000 in ?? ()
#362 0x0000000000000000 in ?? ()
#363 0x0000000000000000 in ?? ()
#364 0x0000000000000000 in ?? ()
#365 0x0000000000000000 in ?? ()
#366 0x0000000000000000 in ?? ()
#367 0x0000000000000000 in ?? ()
#368 0x0000000000000000 in ?? ()
#369 0x0000000000000000 in ?? ()
#370 0x0000000000000000 in ?? ()
#371 0x0000000000000000 in ?? ()
#372 0x0000000000000000 in ?? ()
#373 0x0000000000000000 in ?? ()
#374 0x0000000000000000 in ?? ()
#375 0x0000000000000000 in ?? ()
#376 0x0000000000000000 in ?? ()
#377 0x0000000000000000 in ?? ()
#378 0x0000000000000000 in ?? ()
#379 0x0000000000000000 in ?? ()
#380 0x0000000000000000 in ?? ()
#381 0x0000000000000000 in ?? ()
#382 0x0000000000000000 in ?? ()
#383 0x0000000000000000 in ?? ()
#384 0x0000000000000000 in ?? ()
#385 0x0000000000000000 in ?? ()
#386 0x0000000000000000 in ?? ()
#387 0x0000000000000000 in ?? ()
#388 0x0000000000000000 in ?? ()
#389 0x74616b0000000000 in ?? ()
#390 0x6e6965646b5b2065 in ?? ()
#391 0x00000000005d7469 in ?? ()
#392 0x0000000000000000 in ?? ()
#393 0x0000000000000000 in ?? ()
#394 0x0000000000000000 in ?? ()
#395 0x0000000000000000 in ?? ()
#396 0x0000000000000000 in ?? ()
#397 0x0000000000000000 in ?? ()
#398 0x0000000000000000 in ?? ()
#399 0x0000000000000000 in ?? ()
#400 0x0000000000000000 in ?? ()
#401 0x0000000000000000 in ?? ()
#402 0x0000000000000000 in ?? ()
#403 0x0000000000000000 in ?? ()
#404 0x0000000000000000 in ?? ()
#405 0x0000000000000000 in ?? ()
#406 0x0000000000000000 in ?? ()
#407 0x0000000000000000 in ?? ()
#408 0x0000000000000000 in ?? ()
#409 0x0000000000000000 in ?? ()
#410 0x0000000000000000 in ?? ()
#411 0x0000000000000000 in ?? ()
#412 0x0000000000000000 in ?? ()
#413 0x0000000000000000 in ?? ()
#414 0x0000000000000000 in ?? ()
#415 0x0000000000000000 in ?? ()
#416 0x0000000000000000 in ?? ()
#417 0x0000000000000000 in ?? ()
#418 0x0000000000000000 in ?? ()
#419 0x0000000000000000 in ?? ()
#420 0x0000000000000000 in ?? ()
#421 0x0000000000000000 in ?? ()
#422 0x0000000000000000 in ?? ()
#423 0x0000000000000000 in ?? ()
#424 0x0000000000000000 in ?? ()
#425 0x0000000000000000 in ?? ()
#426 0x0000000000000000 in ?? ()
#427 0x0000000000000000 in ?? ()
#428 0x0000000000000000 in ?? ()
#429 0x0000000000000000 in ?? ()
#430 0x0000000000000000 in ?? ()
#431 0x0000000000000000 in ?? ()
#432 0x0000000000000000 in ?? ()
#433 0x0000000000000000 in ?? ()
#434 0x0000000000000000 in ?? ()
#435 0x0000000000000000 in ?? ()
#436 0x0000000000000000 in ?? ()
#437 0x0000000000000000 in ?? ()
#438 0x0000000000000000 in ?? ()
#439 0x0000000000000000 in ?? ()
#440 0x0000000000000000 in ?? ()
#441 0x0000000000000000 in ?? ()
#442 0x0000000000000000 in ?? ()
#443 0x0000000000000000 in ?? ()
#444 0x0000000000000000 in ?? ()
#445 0x0000000000000000 in ?? ()
#446 0x0000000000000000 in ?? ()
#447 0x0000000000000000 in ?? ()
#448 0x0000000000000000 in ?? ()
#449 0x0000000000000000 in ?? ()
#450 0x0000000000000000 in ?? ()
#451 0x0000000000000000 in ?? ()
#452 0x0000000000000000 in ?? ()
#453 0x0000000000000000 in ?? ()
#454 0x0000000000000000 in ?? ()
#455 0x0000000000000000 in ?? ()
#456 0x0000000000000000 in ?? ()
#457 0x0000000000000000 in ?? ()
#458 0x0000000000000000 in ?? ()
#459 0x0000000000000000 in ?? ()
#460 0x0000000000000000 in ?? ()
#461 0x0000000000000000 in ?? ()
#462 0x0000000000000000 in ?? ()
#463 0x0000000000000000 in ?? ()
#464 0x0000000000000000 in ?? ()
#465 0x0000000000000000 in ?? ()
#466 0x0000000000000000 in ?? ()
#467 0x0000000000000000 in ?? ()
#468 0x0000000000000000 in ?? ()
#469 0x0000000000000000 in ?? ()
#470 0x0000000000000000 in ?? ()
#471 0x0000000000000000 in ?? ()
#472 0x0000000000000000 in ?? ()
#473 0x0000000000000000 in ?? ()
#474 0x0000000000000000 in ?? ()
#475 0x0000000000000000 in ?? ()
#476 0x0000000000000000 in ?? ()
#477 0x0000000000000000 in ?? ()
#478 0x0000000000000000 in ?? ()
#479 0x0000000000000000 in ?? ()
#480 0x0000000000000000 in ?? ()
#481 0x0000000000000000 in ?? ()
#482 0x0000000000000000 in ?? ()
#483 0x0000000000000000 in ?? ()
#484 0x0000000000000000 in ?? ()
#485 0x0000000000000000 in ?? ()
#486 0x0000000000000000 in ?? ()
#487 0x0000000000000000 in ?? ()
#488 0x0000000000000000 in ?? ()
#489 0x0000000000000000 in ?? ()
#490 0x0000000000000000 in ?? ()
#491 0x0000000000000000 in ?? ()
#492 0x0000000000000000 in ?? ()
#493 0x0000000000000000 in ?? ()
#494 0x0000000000000000 in ?? ()
#495 0x0000000000000000 in ?? ()
#496 0x0000000000000000 in ?? ()
#497 0x0000000000000000 in ?? ()
#498 0x0000000000000000 in ?? ()
#499 0x0000000000000000 in ?? ()
#500 0x0000000000000000 in ?? ()
#501 0x0000000000000000 in ?? ()
#502 0x0000000000000000 in ?? ()
#503 0x0000000000000000 in ?? ()
#504 0x0000000000000000 in ?? ()
#505 0x0000000000000000 in ?? ()
#506 0x0000000000000000 in ?? ()
#507 0x0000000000000000 in ?? ()
#508 0x0000000000000000 in ?? ()
#509 0x0000000000000000 in ?? ()
#510 0x0000000000000000 in ?? ()
#511 0x0000000000000000 in ?? ()
#512 0x0000000000000000 in ?? ()
#513 0x0000000000000000 in ?? ()
#514 0x0000000000000000 in ?? ()
#515 0x0000000000000000 in ?? ()
#516 0x0000000000000000 in ?? ()
#517 0x0000000000000000 in ?? ()
#518 0x0000000000000000 in ?? ()
#519 0x0000000000000000 in ?? ()
#520 0x0000000000000000 in ?? ()
#521 0x0000000000000000 in ?? ()
#522 0x0000000000000000 in ?? ()
#523 0x0000000000000000 in ?? ()
#524 0x0000000000000000 in ?? ()
#525 0x0000000000000000 in ?? ()
#526 0x0000000000000000 in ?? ()
#527 0x0000000000000000 in ?? ()
#528 0x0000000000000000 in ?? ()
#529 0x0000000000000000 in ?? ()
#530 0x0000000000000000 in ?? ()
#531 0x0000000000000000 in ?? ()
#532 0x0000000000000000 in ?? ()
#533 0x0000000000000000 in ?? ()
#534 0x0000000000000000 in ?? ()
#535 0x0000000000000000 in ?? ()
#536 0x0000000000000000 in ?? ()
#537 0x0000000000000000 in ?? ()
#538 0x0000000000000000 in ?? ()
#539 0x0000000000000000 in ?? ()
#540 0x0000000000000000 in ?? ()
#541 0x0000000000000000 in ?? ()
#542 0x0000000000000000 in ?? ()
#543 0x0000000000000000 in ?? ()
#544 0x0000000000000000 in ?? ()
#545 0x0000000000000000 in ?? ()
#546 0x0000000000000000 in ?? ()
#547 0x0000000000000000 in ?? ()
#548 0x0000000000000000 in ?? ()
#549 0x0000000000000000 in ?? ()
#550 0x0000000000000000 in ?? ()
#551 0x0000000000000000 in ?? ()
#552 0x0000000000000000 in ?? ()
#553 0x0000000000000000 in ?? ()
#554 0x0000000000000000 in ?? ()
#555 0x0000000000000000 in ?? ()
#556 0x0000000000000000 in ?? ()
#557 0x0000000000000000 in ?? ()
#558 0x0000000000000000 in ?? ()
#559 0x0000000000000000 in ?? ()
#560 0x0000000000000000 in ?? ()
#561 0x0000000000000000 in ?? ()
#562 0x0000000000000000 in ?? ()
#563 0x0000000000000000 in ?? ()
#564 0x0000000000000000 in ?? ()
#565 0x0000000000000000 in ?? ()
#566 0x0000000000000000 in ?? ()
#567 0x0000000000000000 in ?? ()
#568 0x0000000000000000 in ?? ()
#569 0x0000000000000000 in ?? ()
#570 0x0000000000000000 in ?? ()
#571 0x0000000000000000 in ?? ()
#572 0x0000000000000000 in ?? ()
#573 0x0000000000000000 in ?? ()
#574 0x0000000000000000 in ?? ()
#575 0x0000000000000000 in ?? ()
#576 0x0000000000000000 in ?? ()
#577 0x0000000000000000 in ?? ()
#578 0x0000000000000000 in ?? ()
#579 0x0000000000000000 in ?? ()
#580 0x0000000000000000 in ?? ()
#581 0x0000000000000000 in ?? ()
#582 0x0000000000000000 in ?? ()
#583 0x0000000000000000 in ?? ()
#584 0x0000000000000000 in ?? ()
#585 0x0000000000000000 in ?? ()
#586 0x0000000000000000 in ?? ()
#587 0x0000000000000000 in ?? ()
#588 0x0000000000000000 in ?? ()
#589 0x0000000000000000 in ?? ()
#590 0x0000000000000000 in ?? ()
#591 0x0000000000000000 in ?? ()
#592 0x0000000000000000 in ?? ()
#593 0x0000000000000000 in ?? ()
#594 0x0000000000000000 in ?? ()
#595 0x0000000000000000 in ?? ()
#596 0x0000000000000000 in ?? ()
#597 0x0000000000000000 in ?? ()
#598 0x0000000000000000 in ?? ()
#599 0x0000000000000000 in ?? ()
#600 0x0000000000000000 in ?? ()
#601 0x0000000000000000 in ?? ()
#602 0x0000000000000000 in ?? ()
#603 0x0000000000000000 in ?? ()
#604 0x0000000000000000 in ?? ()
#605 0x0000000000000000 in ?? ()
#606 0x0000000000000000 in ?? ()
#607 0x0000000000000000 in ?? ()
#608 0x0000000000000000 in ?? ()
#609 0x0000000000000000 in ?? ()
#610 0x0000000000000000 in ?? ()
#611 0x0000000000000000 in ?? ()
#612 0x0000000000000000 in ?? ()
#613 0x0000000000000000 in ?? ()
#614 0x0000000000000000 in ?? ()
#615 0x0000000000000000 in ?? ()
#616 0x0000000000000000 in ?? ()
#617 0x0000000000000000 in ?? ()
#618 0x0000000000000000 in ?? ()
#619 0x0000000000000000 in ?? ()
#620 0x0000000000000000 in ?? ()
#621 0x0000000000000000 in ?? ()
#622 0x0000000000000000 in ?? ()
#623 0x0000000000000000 in ?? ()
#624 0x0000000000000000 in ?? ()
#625 0x0000000000000000 in ?? ()
#626 0x0000000000000000 in ?? ()
#627 0x0000000000000000 in ?? ()
#628 0x0000000000000000 in ?? ()
#629 0x0000000000000000 in ?? ()
#630 0x0000000000000000 in ?? ()
#631 0x0000000000000000 in ?? ()
#632 0x0000000000000000 in ?? ()
#633 0x0000000000000000 in ?? ()
#634 0x0000000000000000 in ?? ()
#635 0x0000000000000000 in ?? ()
#636 0x0000000000000000 in ?? ()
#637 0x0000000000000000 in ?? ()
#638 0x0000000000000000 in ?? ()
#639 0x0000000000000000 in ?? ()
#640 0x0000000000000000 in ?? ()
#641 0x0000000000000000 in ?? ()
#642 0x0000000000000000 in ?? ()
#643 0x0000000000000000 in ?? ()
#644 0x0000000000000000 in ?? ()
#645 0x0000000000000000 in ?? ()
#646 0x0000000000000000 in ?? ()
#647 0x0000000000000000 in ?? ()
#648 0x0000000000000000 in ?? ()
#649 0x0000000000000000 in ?? ()
#650 0x0000000000000000 in ?? ()
#651 0x0000000000000000 in ?? ()
#652 0x0000000000000000 in ?? ()
#653 0x0000000000000000 in ?? ()
#654 0x0000000000000000 in ?? ()
#655 0x0000000000000000 in ?? ()
#656 0x0000000000000000 in ?? ()
#657 0x0000000000000000 in ?? ()
#658 0x0000000000000000 in ?? ()
#659 0x0000000000000000 in ?? ()
#660 0x0000000000000000 in ?? ()
#661 0x0000000000000000 in ?? ()
#662 0x0000000000000000 in ?? ()
#663 0x0000000000000000 in ?? ()
#664 0x0000000000000000 in ?? ()
#665 0x0000000000000000 in ?? ()
#666 0x0000000000000000 in ?? ()
#667 0x0000000000000000 in ?? ()
#668 0x0000000000000000 in ?? ()
#669 0x0000000000000000 in ?? ()
#670 0x0000000000000000 in ?? ()
#671 0x0000000000000000 in ?? ()
#672 0x0000000000000000 in ?? ()
#673 0x0000000000000000 in ?? ()
#674 0x0000000000000000 in ?? ()
#675 0x0000000000000000 in ?? ()
#676 0x0000000000000000 in ?? ()
#677 0x0000000000000000 in ?? ()
#678 0x0000000000000000 in ?? ()
#679 0x0000000000000000 in ?? ()
#680 0x0000000000000000 in ?? ()
#681 0x0000000000000000 in ?? ()
#682 0x0000000000000000 in ?? ()
#683 0x0000000000000000 in ?? ()
#684 0x0000000000000000 in ?? ()
#685 0x0000000000000000 in ?? ()
#686 0x0000000000000000 in ?? ()
#687 0x0000000000000000 in ?? ()
#688 0x0000000000000000 in ?? ()
#689 0x0000000000000000 in ?? ()
#690 0x0000000000000000 in ?? ()
#691 0x0000000000000000 in ?? ()
#692 0x0000000000000000 in ?? ()
#693 0x0000000000000000 in ?? ()
#694 0x0000000000000000 in ?? ()
#695 0x0000000000000000 in ?? ()
#696 0x0000000000000000 in ?? ()
#697 0x0000000000000000 in ?? ()
#698 0x0000000000000000 in ?? ()
#699 0x0000000000000000 in ?? ()
#700 0x0000000000000000 in ?? ()
#701 0x0000000000000000 in ?? ()
#702 0x0000000000000000 in ?? ()
#703 0x0000000000000000 in ?? ()
#704 0x0000000000000000 in ?? ()
#705 0x0000000000000000 in ?? ()
#706 0x0000000000000000 in ?? ()
#707 0x0000000000000000 in ?? ()
#708 0x0000000000000000 in ?? ()
#709 0x0000000000000000 in ?? ()
#710 0x0000000000000000 in ?? ()
#711 0x0000000000000000 in ?? ()
#712 0x0000000000000000 in ?? ()
#713 0x0000000000000000 in ?? ()
#714 0x0000000000000000 in ?? ()
#715 0x0000000000000000 in ?? ()
#716 0x0000000000000000 in ?? ()
#717 0x0000000000000000 in ?? ()
#718 0x0000000000000000 in ?? ()
#719 0x0000000000000000 in ?? ()
#720 0x0000000000000000 in ?? ()
#721 0x0000000000000000 in ?? ()
#722 0x0000000000000000 in ?? ()
#723 0x0000000000000000 in ?? ()
#724 0x0000000000000000 in ?? ()
#725 0x0000000000000000 in ?? ()
#726 0x0000000000000000 in ?? ()
#727 0x0000000000000000 in ?? ()
#728 0x0000000000000000 in ?? ()
#729 0x0000000000000000 in ?? ()
#730 0x0000000000000000 in ?? ()
#731 0x0000000000000000 in ?? ()
#732 0x0000000000000000 in ?? ()
#733 0x0000000000000000 in ?? ()
#734 0x0000000000000000 in ?? ()
#735 0x0000000000000000 in ?? ()
#736 0x0000000000000000 in ?? ()
#737 0x0000000000000000 in ?? ()
#738 0x0000000000000000 in ?? ()
#739 0x0000000000000000 in ?? ()
#740 0x0000000000000000 in ?? ()
#741 0x0000000000000000 in ?? ()
#742 0x0000000000000000 in ?? ()
#743 0x0000000000000000 in ?? ()
#744 0x0000000000000000 in ?? ()
#745 0x0000000000000000 in ?? ()
#746 0x0000000000000000 in ?? ()
#747 0x0000000000000000 in ?? ()
#748 0x0000000000000000 in ?? ()
#749 0x0000000000000000 in ?? ()
#750 0x0000000000000000 in ?? ()
#751 0x0000000000000000 in ?? ()
#752 0x0000000000000000 in ?? ()
#753 0x0000000000000000 in ?? ()
#754 0x0000000000000000 in ?? ()
#755 0x0000000000000000 in ?? ()
#756 0x0000000000000000 in ?? ()
#757 0x0000000000000000 in ?? ()
#758 0x0000000000000000 in ?? ()
#759 0x0000000000000000 in ?? ()
#760 0x0000000000000000 in ?? ()
#761 0x0000000000000000 in ?? ()
#762 0x0000000000000000 in ?? ()
#763 0x0000000000000000 in ?? ()
#764 0x0000000000000000 in ?? ()
#765 0x0000000000000000 in ?? ()
#766 0x0000000000000000 in ?? ()
#767 0x0000000000000000 in ?? ()
#768 0x0000000000000000 in ?? ()
#769 0x0000000000000000 in ?? ()
#770 0x0000000000000000 in ?? ()
#771 0x0000000000000000 in ?? ()
#772 0x0000000000000000 in ?? ()
#773 0x0000000000000000 in ?? ()
#774 0x0000000000000000 in ?? ()
#775 0x0000000000000000 in ?? ()
#776 0x0000000000000000 in ?? ()
#777 0x0000000000000000 in ?? ()
#778 0x0000000000000000 in ?? ()
#779 0x0000000000000000 in ?? ()
#780 0x0000000000000000 in ?? ()
#781 0x0000000000000000 in ?? ()
#782 0x0000000000000000 in ?? ()
#783 0x0000000000000000 in ?? ()
#784 0x0000000000000000 in ?? ()
#785 0x0000000000000000 in ?? ()
#786 0x0000000000000000 in ?? ()
#787 0x0000000000000000 in ?? ()
#788 0x0000000000000000 in ?? ()
#789 0x0000000000000000 in ?? ()
#790 0x0000000000000000 in ?? ()
#791 0x0000000000000000 in ?? ()
#792 0x0000000000000000 in ?? ()
#793 0x0000000000000000 in ?? ()
#794 0x0000000000000000 in ?? ()
#795 0x0000000000000000 in ?? ()
#796 0x0000000000000000 in ?? ()
#797 0x0000000000000000 in ?? ()
#798 0x0000000000000000 in ?? ()
#799 0x0000000000000000 in ?? ()
#800 0x0000000000000000 in ?? ()
#801 0x0000000000000000 in ?? ()
#802 0x0000000000000000 in ?? ()
#803 0x0000000000000000 in ?? ()
#804 0x0000000000000000 in ?? ()
#805 0x0000000000000000 in ?? ()
#806 0x0000000000000000 in ?? ()
#807 0x0000000000000000 in ?? ()
#808 0x0000000000000000 in ?? ()
#809 0x0000000000000000 in ?? ()
#810 0x0000000000000000 in ?? ()
#811 0x0000000000000000 in ?? ()
#812 0x0000000000000000 in ?? ()
#813 0x0000000000000000 in ?? ()
#814 0x0000000000000000 in ?? ()
#815 0x0000000000000000 in ?? ()
#816 0x0000000000000000 in ?? ()
#817 0x0000000000000000 in ?? ()
#818 0x0000000000000000 in ?? ()
#819 0x0000000000000000 in ?? ()
#820 0x0000000000000000 in ?? ()
#821 0x0000000000000000 in ?? ()
#822 0x0000000000000000 in ?? ()
#823 0x0000000000000000 in ?? ()
#824 0x0000000000000000 in ?? ()
#825 0x0000000000000000 in ?? ()
#826 0x0000000000000000 in ?? ()
#827 0x0000000000000000 in ?? ()
#828 0x0000000000000000 in ?? ()
#829 0x0000000000000000 in ?? ()
#830 0x0000000000000000 in ?? ()
#831 0x0000000000000000 in ?? ()
#832 0x0000000000000000 in ?? ()
#833 0x0000000000000000 in ?? ()
#834 0x0000000000000000 in ?? ()
#835 0x0000000000000000 in ?? ()
#836 0x0000000000000000 in ?? ()
#837 0x0000000000000000 in ?? ()
#838 0x0000000000000000 in ?? ()
#839 0x0000000000000000 in ?? ()
#840 0x0000000000000000 in ?? ()
#841 0x0000000000000000 in ?? ()
#842 0x0000000000000000 in ?? ()
#843 0x0000000000000000 in ?? ()
#844 0x0000000000000000 in ?? ()
#845 0x0000000000000000 in ?? ()
#846 0x0000000000000000 in ?? ()
#847 0x0000000000000000 in ?? ()
#848 0x0000000000000000 in ?? ()
#849 0x0000000000000000 in ?? ()
#850 0x0000000000000000 in ?? ()
#851 0x0000000000000000 in ?? ()
#852 0x0000000000000000 in ?? ()
#853 0x0000000000000000 in ?? ()
#854 0x0000000000000000 in ?? ()
#855 0x0000000000000000 in ?? ()
#856 0x0000000000000000 in ?? ()
#857 0x0000000000000000 in ?? ()
#858 0x0000000000000000 in ?? ()
#859 0x0000000000000000 in ?? ()
#860 0x0000000000000000 in ?? ()
#861 0x0000000000000000 in ?? ()
#862 0x0000000000000000 in ?? ()
#863 0x0000000000000000 in ?? ()
#864 0x0000000000000000 in ?? ()
#865 0x0000000000000000 in ?? ()
#866 0x0000000000000000 in ?? ()
#867 0x0000000000000000 in ?? ()
#868 0x0000000000000000 in ?? ()
#869 0x0000000000000000 in ?? ()
#870 0x0000000000000000 in ?? ()
#871 0x0000000000000000 in ?? ()
#872 0x0000000000000000 in ?? ()
#873 0x0000000000000000 in ?? ()
#874 0x0000000000000000 in ?? ()
#875 0x0000000000000000 in ?? ()
#876 0x0000000000000000 in ?? ()
#877 0x0000000000000000 in ?? ()
#878 0x0000000000000000 in ?? ()
#879 0x0000000000000000 in ?? ()
#880 0x0000000000000000 in ?? ()
#881 0x0000000000000000 in ?? ()
#882 0x6b2f74706f2f0000 in ?? ()
#883 0x2f6e69622f336564 in ?? ()
#884 0x0074696e6965646b in ?? ()
#885 0x0000000000000000 in ?? ()
Comment 1 Vadym Krevs 2006-05-24 12:39:39 UTC
Created attachment 16253 [details]
text file to reproduce the bug

This is the file referred to in the bug description.
Comment 2 Dominik Haumann 2006-05-24 13:55:34 UTC
Can you *always* reproduce this? Here, kate/kwrite does not crash.
Comment 3 Vadym Krevs 2006-05-26 22:16:16 UTC
Yep, unfortunately it still crashes for me ... I'm planning an upgrade to SUSE 10.1 - perhaps that'll cure the problem.
Comment 4 Andreas Kling 2006-06-23 11:11:21 UTC
I can reproduce on 3.5 branch r554128.
Comment 5 Andreas Kling 2006-06-23 12:39:34 UTC
SVN commit 554150 by kling:

When deleting blocks, make sure m_lastInSyncBlock doesn't point to a deleted area.

BUG: 127928
CCBUG: 124507
CCMAIL: cullmann@kde.org



 M  +4 -0      katebuffer.cpp  


--- branches/KDE/3.5/kdelibs/kate/part/katebuffer.cpp #554149:554150
@@ -807,6 +807,10 @@
     // cu block !
     delete buf;
     m_blocks.erase (m_blocks.begin()+index);
+
+    // make sure we don't keep a pointer to the deleted block
+    if( m_lastInSyncBlock >= index )
+      m_lastInSyncBlock = index - 1;
   }
   else
   {
Comment 6 Dominik Haumann 2006-06-25 22:48:35 UTC
Just for info: also fixed in trunk due to cullmann's buffer rewrite.
Comment 7 Andreas Kling 2006-07-16 13:41:42 UTC
*** Bug 112071 has been marked as a duplicate of this bug. ***
Comment 8 Andreas Kling 2006-08-10 00:06:00 UTC
*** Bug 117030 has been marked as a duplicate of this bug. ***